<?php

namespace App\Insurance\Enum;

enum InsuranceType: string
{
    case Basic         = 'basic';
    case Supplementary = 'supplementary';

    public function label(): string
    {
        return match($this) {
            self::Basic         => 'بیمه پایه',
            self::Supplementary => 'بیمه تکمیلی',
        };
    }
}
